#language: ru

@carc

Функционал: 000. CARC. Установка функциональных опций

Контекст:
	Дано Я подключаюсь под "Администратор"

Сценарий: 000.1. CARC. Установка времени начала блока тестов

	Дано Я устанавливаю заголовок "09.Тары"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. CARC. Установка функциональных опций

	И Я читаю лицензию "Тары и возвратные тары.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Нет"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Закупки" равен "Да"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "OPC" равен "Нет"
	И флаг 'Расчет сдельной заработной платы' равен 'Нет'
	И флаг "Рабочее место сыродела ТСД" равен "Нет"
	И флаг "Автоматизация работы водителей электрокаров" равен "Нет"
	И флаг "Интерпретация учета в ГИСМ" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. CARC. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ведение НСИ транспортной логистики
		И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
		И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Создание заказов клиентов
		И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
		И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"
	* Формирование накладных
		И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
		И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"
	* Создание планов отгрузки
		И Я создаю группу доступа "Создание планов отгрузки" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки" с профилями "Базовый профиль;Создание планов отгрузки"
	* Создание заданий на доставку
		И Я создаю группу доступа "Создание заданий на доставку" с профилем "Создание заданий на доставку"
		И Я создаю пользователя "Создание заданий на доставку" с профилями "Базовый профиль;Создание заданий на доставку"
	* Формирование поступлений
		И Я создаю группу доступа "Формирование поступлений" с профилем "Формирование поступлений"
		И Я создаю пользователя "Формирование поступлений" с профилями "Базовый профиль;Формирование поступлений"

Сценарий: 000.4. CARC. Завершение

	И Я закрыл все окна клиентского приложения